import * as react_jsx_runtime from 'react/jsx-runtime';

declare const MAIN_CLASSNAME = "av-main";

type MainProps = {
	/**
	 * The children to render.
	 */
	children: React.ReactNode;
	/**
	 * CSS class(es) to add to the main component wrapper.
	 */
	className?: string;
	/**
	 * Whether or not to render the Main component with no styles.
	 * @default false
	 */
	raw?: boolean;
	/**
	 * Whether or not to render the Main component with no margin.
	 * @default false
	 */
	noMargin?: boolean;
	/**
	 * Whether or not to render the Main component with no padding.
	 * @default false
	 */
	noPadding?: boolean;
};

declare const Main: ({ children, className, raw, noMargin, noPadding, }: MainProps) => react_jsx_runtime.JSX.Element;

export { MAIN_CLASSNAME, Main };
